> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get a property by ID

GET https://api.propexo.com/v1/properties/{id}

Get a property by ID

Reference: https://docs.propexo.com/api-reference/real-page-app-partner/properties/get-a-property-by-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `id` (string, required) — The ID of the resource.

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (V1PropertiesIdGetOutputResults, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### V1PropertiesIdGetOutputResults

- `id` (string, optional) — The Propexo unique identifier for the property
- `property_id` (string, optional) — The Propexo unique identifier for the property
- `created_at` (string, optional) — The date record first entered Propexo
- `updated_at` (string, optional) — The date record was last updated in Propexo
- `last_seen` (string, optional, nullable) — The date the record was last seen from the PMS
- `x_created_at` (any, optional) — The date the record first entered the integration vendorThis field will always be null for REALPAGE\_RPX
- `x_id` (string, optional) — The external ID from the integration vendor | Method | Interface | |---|---| | GetSubscriptions | AppPartner | | GetSiteList | AppPartner |
- `x_property_id` (string, optional) — The external ID of the property from the integration vendor | Method | Interface | |---|---| | GetSubscriptions | AppPartner | | GetSiteList | AppPartner |
- `x_building_id` (any, optional) — The external ID of the building (not necessarily the property) from the integration vendorThis field will always be null for REALPAGE\_RPX
- `building_number` (any, optional) — The building number associated with the propertyThis field will always be null for REALPAGE\_RPX
- `city` (string, optional, nullable) — The city associated with the property | Method | Interface | |---|---| | GetSubscriptions | AppPartner | | GetSiteList | AppPartner |
- `code` (any, optional) — The code associated with the propertyThis field will always be null for REALPAGE\_RPX
- `country` (string, optional, nullable) — The country associated with the property | Method | Interface | |---|---| | GetSiteList | AppPartner |
- `county` (string, optional, nullable) — The county associated with the property | Method | Interface | |---|---| | GetSiteList | AppPartner |
- `custom_data` (V1PropertiesIdGetOutputResultsCustomData, optional, nullable)
- `is_active` (boolean, optional, nullable) — Whether the property is active. This reflects whether the property is active in the PMS. To see if a property is enabled in Propexo, please use the 'Get all my property configurations' endpoint. | Method | Interface | |---|---| | GetSubscriptions | AppPartner | | GetSiteList | AppPartner |
- `manager_email` (string, optional, nullable) — The email address of the property manager | Method | Interface | |---|---| | GetSiteList | AppPartner |
- `manager_name` (string, optional, nullable) — The name of the property manager | Method | Interface | |---|---| | GetSiteList | AppPartner |
- `manager_phone_1` (string, optional, nullable) — The first phone number of the property manager | Method | Interface | |---|---| | GetSiteList | AppPartner |
- `manager_phone_1_type` (enum, optional) — The type of the first phone number of the property manager | Method | Interface | |---|---| | GetSiteList | AppPartner |
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `manager_phone_2` (string, optional, nullable) — The second phone number of the property manager | Method | Interface | |---|---| | GetSiteList | AppPartner |
- `manager_phone_2_type` (enum, optional) — The type of the second phone number of the property manager | Method | Interface | |---|---| | GetSiteList | AppPartner |
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `name` (string, optional, nullable) — The name of the property | Method | Interface | |---|---| | GetSubscriptions | AppPartner | | GetSiteList | AppPartner |
- `notes` (any, optional) — Notes associated with the propertyThis field will always be null for REALPAGE\_RPX
- `number_of_units` (any, optional) — The number of units in the propertyThis field will always be null for REALPAGE\_RPX
- `square_feet` (integer, optional, nullable) — The square footage of the propertyThis field is not currently hydrated for REALPAGE\_RPX
- `state` (string, optional, nullable) — The state associated with the property | Method | Interface | |---|---| | GetSubscriptions | AppPartner | | GetSiteList | AppPartner |
- `address_1` (string, optional, nullable) — The first address line associated with the property | Method | Interface | |---|---| | GetSiteList | AppPartner |
- `address_2` (string, optional, nullable) — The second address line associated with the property | Method | Interface | |---|---| | GetSiteList | AppPartner |
- `type_raw` (any, optional) — The raw PMS type of the propertyThis field will always be null for REALPAGE\_RPX
- `type_normalized` (any, optional) — The Propexo normalized property typeThis field will always be null for REALPAGE\_RPX
- `website` (string, optional, nullable) — The website URL associated with the property | Method | Interface | |---|---| | GetSubscriptions | AppPartner |
- `year_built` (any, optional) — The year the property was builtThis field will always be null for REALPAGE\_RPX
- `zip` (string, optional, nullable) — The zip code associated with the property | Method | Interface | |---|---| | GetSiteList | AppPartner |
- `long_description` (any, optional) — A long description of the propertyThis field will always be null for REALPAGE\_RPX
- `short_description` (any, optional) — A short description of the propertyThis field will always be null for REALPAGE\_RPX
- `office_hours` (V1PropertiesIdGetOutputResultsOfficeHours, optional)
- `pet_types` (list of PetTypes, optional) — The pet policies for the property
- `associated_owner_ids` (list of string, optional) — The property IDs associated with the ownerThis field is not currently hydrated for REALPAGE\_RPX
- `integration_id` (string, optional) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, optional) — The property management system of record
  - Allowed values: `REALPAGE_RPX`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `square_footage` (any, optional, deprecated) — Deprecated: Use square\_feetThis field will always be null for REALPAGE\_RPX
- `street_address_1` (string, optional, nullable, deprecated) — Deprecated: Use address_1 | Method | Interface | |---|---| | GetSiteList | AppPartner |
- `street_address_2` (string, optional, nullable, deprecated) — Deprecated: Use address_2 | Method | Interface | |---|---| | GetSiteList | AppPartner |
- `type` (any, optional, deprecated) — Deprecated: Use type\_raw\.This field will always be null for REALPAGE\_RPX

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### V1PropertiesIdGetOutputResultsCustomData

### V1PropertiesIdGetOutputResultsOfficeHours

- `close_time` (string, required) — The closing time for the officeThis field is not currently hydrated for REALPAGE\_RPX
- `day_of_week` (enum, required) — The day of the week associated with the office hoursThis field is not currently hydrated for REALPAGE\_RPX
  - Allowed values: `SUNDAY`, `MONDAY`, `TUESDAY`, `WEDNESDAY`, `THURSDAY`, `FRIDAY`, `SATURDAY`
- `open_time` (string, required) — The opening time for the officeThis field is not currently hydrated for REALPAGE\_RPX

### PetTypes

- `name` (string, required) — The name associated with the pet type | Method | Interface | |---|---| | GetPetPolicy | Prospect Management |
- `is_allowed` (boolean, required, nullable) — Whether the pet type is allowed or not | Method | Interface | |---|---| | GetPetPolicy | Prospect Management |
- `description` (string, required, nullable) — Description of the pet type | Method | Interface | |---|---| | GetPetPolicy | Prospect Management |
- `notes` (any, required) — Notes associated with the pet typeThis field will always be null for REALPAGE\_RPX
- `deposit_raw` (any, required) — The deposit amount associated with the pet typeThis field will always be null for REALPAGE\_RPX
- `deposit_in_cents` (any, required) — The deposit amount in cents associated with the pet typeThis field will always be null for REALPAGE\_RPX
- `fee_raw` (any, required) — The raw fee amount for the pet typeThis field will always be null for REALPAGE\_RPX
- `fee_in_cents` (any, required) — The fee amount in cents for the pet typeThis field will always be null for REALPAGE\_RPX
- `fee_min_raw` (any, required) — The minimum raw fee amount for the pet typeThis field will always be null for REALPAGE\_RPX
- `fee_min_in_cents` (any, required) — The minimum fee amount in cents for the pet typeThis field will always be null for REALPAGE\_RPX
- `fee_max_raw` (any, required) — The maxmimum raw fee amount for the pet typeThis field will always be null for REALPAGE\_RPX
- `fee_max_in_cents` (any, required) — The maxmimum raw fee amount in cents for the pet typeThis field will always be null for REALPAGE\_RPX
- `rent_amount_raw` (any, required) — The raw rent amount for the pet typeThis field will always be null for REALPAGE\_RPX
- `rent_amount_in_cents` (any, required) — The rent amount in cents for the pet typeThis field will always be null for REALPAGE\_RPX

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": {
    "id": "clwktsp9v000008l31iv218hn",
    "property_id": "clwi5xiix000008l6ctdgafyh",
    "created_at": "2024-03-21T15:38:08.337Z",
    "updated_at": "2024-03-22T10:59:45.119Z",
    "last_seen": "2024-03-22T10:59:45.119Z",
    "x_created_at": null,
    "x_id": "987654321",
    "x_property_id": "987654321",
    "x_building_id": null,
    "building_number": null,
    "city": "Seattle",
    "code": null,
    "country": "US",
    "county": "King",
    "custom_data": {},
    "is_active": true,
    "manager_email": "manager@acmeproperty.com",
    "manager_name": "Acme Property Management",
    "manager_phone_1": "+1-206-555-0123",
    "manager_phone_1_type": "WORK",
    "manager_phone_2": "+1-206-555-0456",
    "manager_phone_2_type": "MOBILE",
    "name": "Western Frontier",
    "notes": null,
    "number_of_units": null,
    "square_feet": 85000,
    "state": "WA",
    "address_1": "123 Main St",
    "address_2": "Suite 400",
    "type_raw": null,
    "type_normalized": null,
    "website": "https://www.westernfrontierseattle.com",
    "year_built": null,
    "zip": "98101",
    "long_description": null,
    "short_description": null,
    "office_hours": [
      {
        "day_of_week": "MONDAY",
        "open_time": "08:30",
        "close_time": "17:30"
      },
      {
        "day_of_week": "TUESDAY",
        "open_time": "08:30",
        "close_time": "17:30"
      },
      {
        "day_of_week": "WEDNESDAY",
        "open_time": "08:30",
        "close_time": "17:30"
      },
      {
        "day_of_week": "THURSDAY",
        "open_time": "08:30",
        "close_time": "17:30"
      },
      {
        "day_of_week": "FRIDAY",
        "open_time": "08:30",
        "close_time": "17:30"
      }
    ],
    "pet_types": [
      {
        "name": "Dogs",
        "is_allowed": true,
        "description": "We accept up to two (2) dogs per apartment. No weight limit, but certain breeds are restricted. Breed Restrictions: Pit Bulls, Rottweilers, Dobermans, Chows, and Wolf Hybrids are not allowed. A Veterinarian certification must be received prior to move-in. Cats must be spayed/neutered. Exotic pets and farm animals are not permitted.",
        "notes": null,
        "deposit_raw": null,
        "deposit_in_cents": null,
        "fee_raw": null,
        "fee_in_cents": null,
        "fee_min_raw": null,
        "fee_min_in_cents": null,
        "fee_max_raw": null,
        "fee_max_in_cents": null,
        "rent_amount_raw": null,
        "rent_amount_in_cents": null
      }
    ],
    "associated_owner_ids": [
      "owner_123456"
    ],
    "integration_id": "clwh5u07w000508me66sfh3um",
    "integration_vendor": "REALPAGE_RPX",
    "square_footage": null,
    "street_address_1": null,
    "street_address_2": null,
    "type": null
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/properties/id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/properties/id';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/properties/id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/properties/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/properties/id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/properties/id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/properties/id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/properties/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```